[23945] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23555 - trunk/debathena/scripts

daemon@ATHENA.MIT.EDU (Evan Broder)
Fri Mar 6 23:41:58 2009

Date: Fri, 6 Mar 2009 23:41:33 -0500
From: Evan Broder <broder@MIT.EDU>
Message-Id: <200903070441.n274fX2T012757@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: broder
Date: 2009-03-06 23:41:33 -0500 (Fri, 06 Mar 2009)
New Revision: 23555

Added:
   trunk/debathena/scripts/damove
Log:
First crack at a script for moving packages between production,
proposed, and dev.

The arguments are a little confusing, but I'm not sure how else to do
it.


Added: trunk/debathena/scripts/damove
===================================================================
--- trunk/debathena/scripts/damove	2009-03-07 04:20:35 UTC (rev 23554)
+++ trunk/debathena/scripts/damove	2009-03-07 04:41:33 UTC (rev 23555)
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Usage: damove NEW_SUFFIX OLD_SUFFIX PACKAGE
+
+# Move the source package from the old suffix to the new suffix, where
+# a suffix is probably one of "", "-proposed", or "-dev"
+#
+# This moves any source or binary package built from the source
+# package PACKAGE
+
+: ${DEBATHENA_APT=/mit/debathena/apt}
+. $(dirname "$0")/debian-versions.sh
+
+if [ "$#" -lt 3 ]; then
+    echo "Usage: damove NEW_SUFFIX OLD_SUFFIX PACKAGE" >&2
+    exit 1
+fi
+
+for code in $DEBIAN_CODES; do
+    reprepro -Vb $DEBATHENA_APT copysrc "${code}${1}" "${code}${2}" "$3"
+    reprepro -Vb $DEBATHENA_APT removesrc "${code}${2}" "$3"
+done


Property changes on: trunk/debathena/scripts/damove
___________________________________________________________________
Name: svn:executable
   + *


home help back first fref pref prev next nref lref last post